%define	module	pybox2d

Name:           python-%{module}
Version:        2.0.2b2
Release:        %mkrel 10
Summary:        A 2D rigid body simulation library for Python

Group:          Development/Python
License:        zlib
URL:            http://code.google.com/p/pybox2d/
Source0:        http://pybox2d.googlecode.com/files/%{module}-%{version}.zip
# Fix comments for SWIG 3.0.3 and higher
Patch0:         pybox2d-Fix_comments_for_swig_3.0.3.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  swig
Provides:	%{module} = %{version}-%{release}
Obsoletes:	%{module} < 2.0.2b2-3

%description
Programmer's can use Box2D in their games to make objects move in
believable ways and make the world seem more interactive. From the
game's point of view a physics engine is just a system for procedural
animation. Rather than paying (or begging) an animator to move your
actors around, you can let Sir Isaac Newton do the directing.


%prep
%setup -q -n Box2D-%{version}
%autopatch -p1

# calm rpmlint down
sed -i LICENSE README -e 's/\r//'
chmod go-w -R *
 

%build
%py2_build


%install
%py2_install

# copy missing files
cp Box2D.py %{buildroot}%{python2_sitearch}/Box2D/

# calm rpmlint down
sed -i %{buildroot}%{python2_sitearch}/Box2D/__init__.py -e 1d
sed -i %{buildroot}%{python2_sitearch}/Box2D/__init__.py -e 's/\r//'

%files
%doc LICENSE README doc/*
%{python2_sitearch}/*


%changelog
* Fri Mar 18 2016 daviddavid <daviddavid> 2.0.2b2-10.mga6
+ Revision: 992806
- add patch from fedora to fix build against swig 3.0.3 and higher
- use new python macros

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2b2-9.mga5
+ Revision: 742029
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.2b2-8.mga5
+ Revision: 729423
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2b2-7.mga5
+ Revision: 688240
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.2b2-5.mga4
+ Revision: 543971
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.2b2-4.mga4
+ Revision: 499154
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 zezinho <zezinho> 2.0.2b2-3.mga4
+ Revision: 480969
- renamed according to mageia python policy

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2b2-2.mga3
+ Revision: 378388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 zezinho <zezinho> 2.0.2b2-1.mga3
+ Revision: 332788
- better spec
- imported package pybox2d

